.blog {
    background-color: #ffffff;
    h2 {
        font-family: 'Kaushan Script', cursive;
        font-size: 2.4rem;
        text-align: center;
        padding-top: 108px;
        padding-bottom: 26px;
    }
    h1 {
        font-family: 'Montserrat', sans-serif;
        font-size: 3rem;
        font-weight: bold;
        text-align: center;
        padding-bottom: 96px;
        position: relative;
        &::after {
            content: "";
            display: block;
            width: 60px;
            position: absolute;
            border-bottom: 3px solid $underLineColor;
            top: 66px;
            left: calc(50%);
            transform: translate(-50%, 0);
        }
    }
    .wrapper {
        .lastBlog {
            display: flex;
            justify-content: space-between;
            align-content: stretch;
            .blogItem {
                width: 31.8%;
                position: relative;
                margin-bottom: 118px;
                .date {
                    position: absolute;
                    background-color: $detailColor;
                    bottom: 6%;
                    left: -3%;
                    p {
                        font-style: italic;
                        color: #ffffff;
                        text-align: center;
                        padding-top: 0;
                        padding-bottom: 8px;
                    }
                    h3 {
                        color: #ffffff;
                        font-weight: bold;
                        font-size: 3rem;
                        padding: 12px 14px 6px 14px;
                        text-align: center;
                        line-height: normal;
                    }
                }
                h3 {
                    font-family: 'Montserrat', sans-serif;
                    font-size: 1.4rem;
                    text-transform: uppercase;
                    font-weight: 400;
                    color: #000000;
                    padding-top: 22px;
                    line-height: 140%;
                }
                >h3 {
                    min-height: 50px;
                }
                p {
                    font-family: 'Roboto', sans-serif;
                    font-size: 1.5rem;
                    line-height: 150%;
                    color: #999999;
                    display: block;
                }
                >p {
                    min-height: 70px;
                }
            }
            .picture {
                width: 100%;
                position: relative;
                img {
                    width: 100%;
                    display: block;
                }
            }
        }
    }
}

.blog .blogItem .icons {
    position: relative;
    padding-top: 16px;
    &:before {
        content: "";
        display: block;
        width: 100%;
        position: absolute;
        border-bottom: 1px solid #e5e5e5;
        top: 10%;
        left: 0;
    }
    i {
        color: $detailColor;
        font-size: 2rem;
        padding-right: 4px;
    }
    span {
        color: #999999;
        font-size: 1.5rem;
        padding-right: 14px;
    }
}

@media (max-width: 1520px) {
    .blog {
        .wrapper {
            .lastBlog {
                .blogItem {
                    >h3 {
                        min-height: 60px;
                    }
                    >p {
                        min-height: 80px;
                    }
                }
            }
        }
    }
}

@media (max-width: 1368px) {
    .blog {
        .wrapper {
            p {
                margin: 0;
                padding-bottom: 0;
            }
            .lastBlog {
                .blogItem {
                    .date {
                        p {
                            padding-bottom: 6px;
                        }
                        h3 {
                            font-size: 2.5rem;
                            padding: 10px 12px 4px 12px;
                        }
                    }
                    >h3 {
                        min-height: 60px;
                    }
                    >p {
                        min-height: 80px;
                    }
                }
            }
        }
    }
}

@media (max-width: 1024px) {
    .blog {
        .wrapper {
            .lastBlog {
                .blogItem {
                    >p {
                        min-height: 90px;
                    }
                }
            }
        }
    }
}

@media (max-width: 768px) {
    .blog {
        .wrapper {
            .lastBlog {
                padding-top: 10px;
                padding-bottom: 10px;
                flex-wrap: wrap;
                justify-content: space-around;
                .blogItem {
                    width: 48%;
                    padding-top: 10px;
                    margin-bottom: 40px;
                    >h3 {
                        font-size: 1.3rem;
                    }
                    >p {
                        min-height: 100px;
                        font-size: 1.3rem;
                    }
                }
            }
        }
    }
}

@media (max-width: 399px) {
    .blog .wrapper {
        h2 {
            padding-top: 46px;
            font-size: 2.2rem;
        }
        h1 {
            font-size: 2.6rem;
            padding-bottom: 46px;
        }
        h1::after {
            top: 48px;
        }
        .gallery {
            div {
                width: 100%;
                padding-top: 30px;
            }
        }
        .lastBlog {
            .blogItem {
                width: 100%;
                >p {
                    min-height: 60px;
                }
            }
        }
    }
}
